use bevy::prelude::*;

#[derive(Debug, Component)]
pub struct Water;

impl Water {
    pub fn setup_water(mut commands: Commands, asset_server: Res<AssetServer>) {
        let image = asset_server.load::<Image>("water.png");
        commands.spawn((
            Sprite::from_image(image),
            Transform::from_xyz(500.0, 0.0, 0.0),
            Water,
        ));
    }
}
